- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Namespace List
- Namespace Members

# OsiUnitTest Namespace Reference

## Classes
class | TestOutcome
class | TestOutcomes
## Functions
void | failureMessage (const std::string &solverName, const std::string &message)
void | failureMessage (const OsiSolverInterface &si, const std::string &message)
void | failureMessage (const std::string &solverName, const std::string &testname, const std::string &testcond)
void | failureMessage (const OsiSolverInterface &si, const std::string &testname, const std::string &testcond)
void | testingMessage (const char *const msg)
bool | equivalentVectors (const OsiSolverInterface *si1, const OsiSolverInterface *si2, double tol, const double *v1, const double *v2, int size)
bool | compareProblems (OsiSolverInterface *osi1, OsiSolverInterface *osi2)
bool | isEquivalent (const CoinPackedVectorBase &pv, int n, const double *fv)
bool | processParameters (int argc, const char **argv, std::map< std::string, std::string > &parms, const std::map< std::string, int > &ignorekeywords=std::map< std::string, int >())
| Utility routine to process Osi unittest command line parameters.
## Variables
unsigned int | verbosity
| verbosity level of unit tests 0 (= default) for minimal output
unsigned int | haltonerror
| behaviour on failing test 0 (= default) continue 1 press any key to continue 2 stop with abort()
TestOutcomes | outcomes
| a global TestOutcomes object to store test outcomes during a run of the Osi unittest

## Function Documentation

void OsiUnitTest::failureMessage | ( | const std::string & | solverName,
|  | const std::string & | message |
| ) |  |  |

void OsiUnitTest::failureMessage | ( | const OsiSolverInterface & | si,
|  | const std::string & | message |
| ) |  |  |

void OsiUnitTest::failureMessage | ( | const std::string & | solverName,
|  | const std::string & | testname,
|  | const std::string & | testcond |
| ) |  |  |

void OsiUnitTest::failureMessage | ( | const OsiSolverInterface & | si,
|  | const std::string & | testname,
|  | const std::string & | testcond |
| ) |  |  |

void OsiUnitTest::testingMessage | ( | const char *const | msg | ) |

bool OsiUnitTest::equivalentVectors | ( | const OsiSolverInterface * | si1,
|  | const OsiSolverInterface * | si2,
|  | double | tol,
|  | const double * | v1,
|  | const double * | v2,
|  | int | size |
| ) |  |  |

bool OsiUnitTest::compareProblems | ( | OsiSolverInterface * | osi1,
|  | OsiSolverInterface * | osi2 |
| ) |  |  |

bool OsiUnitTest::isEquivalent | ( | const CoinPackedVectorBase & | pv,
|  | int | n,
|  | const double * | fv |
| ) |  |  |

bool OsiUnitTest::processParameters | ( | int | argc,
|  | const char ** | argv,
|  | std::map< std::string, std::string > & | parms,
|  | const std::map< std::string, int > & | ignorekeywords = `std::map< std::string, int >()` |
| ) |  |  |

Utility routine to process Osi unittest command line parameters.

An unrecognised parameter which keyword is not in the ignorekeywords set will trigger the help message and a return value of false. The ignorekeywords mapping specifies for each keyword to ignore the number of following parameters that should be ignored. This should be replaced with the one of the standard CoinUtils parameter mechanisms.

## Variable Documentation

unsigned int OsiUnitTest::verbosity

verbosity level of unit tests 0 (= default) for minimal output

unsigned int OsiUnitTest::haltonerror

behaviour on failing test 0 (= default) continue 1 press any key to continue 2 stop with abort()

TestOutcomes OsiUnitTest::outcomes

a global TestOutcomes object to store test outcomes during a run of the Osi unittest